package com.pcloud.book.advertising.entity;

import com.pcloud.common.entity.BaseEntity;

import java.util.Date;

/**完整试听记录
 * @author PENG
 */
public class AdvertisingPilotRecord extends BaseEntity {

    private static final long serialVersionUID = 1236769572623516883L;

    /**
     * 唯一标识
     */
    private Long id;

    /**
     * 广告位ID
     */
    private Long adId;

    /**
     * 书刊ID
     */
    private Long bookId;

    /**
     * 是否是社群书
     */
    private Boolean isBookGroup;

    /**
     * 二维码ID
     */
    private Long sceneId;

    /**
     * 编辑ID
     */
    private Long adviserId;

    /**
     *出版社ID
     */
    private Long agentId;

    /**
     * 运营ID
     */
    private Long channelId;

    /**
     * 公众号ID
     */
    private Long officialAccountId;

    /**
     * 来源类型
     */
    private String fromType;

    /**
     * 来源ID
     */
    private Long fromId;

    /**
     * 读者ID
     */
    private Long wechatUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建日期
     */
    private Date createDay;

    /**
     * 创建月份
     */
    private String createMonth;

    /**
     * 社群码ID
     */
    private Long bookGroupId;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public Long getAdId() {
        return adId;
    }

    public void setAdId(Long adId) {
        this.adId = adId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Boolean getIsBookGroup() {
        return isBookGroup;
    }

    public void setIsBookGroup(Boolean isBookGroup) {
        this.isBookGroup = isBookGroup;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getOfficialAccountId() {
        return officialAccountId;
    }

    public void setOfficialAccountId(Long officialAccountId) {
        this.officialAccountId = officialAccountId;
    }

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    public Long getFromId() {
        return fromId;
    }

    public void setFromId(Long fromId) {
        this.fromId = fromId;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getCreateDay() {
        return createDay;
    }

    public void setCreateDay(Date createDay) {
        this.createDay = createDay;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public String getCreateMonth() {
        return createMonth;
    }

    public void setCreateMonth(String createMonth) {
        this.createMonth = createMonth;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    @Override
    public String toString() {
        return "AdvertisingClickRecord{" +
                "id=" + id +
                ", adId=" + adId +
                ", bookId=" + bookId +
                ", isBookGroup=" + isBookGroup +
                ", sceneId=" + sceneId +
                ", adviserId=" + adviserId +
                ", agentId=" + agentId +
                ", channelId=" + channelId +
                ", officialAccountId=" + officialAccountId +
                ", fromType='" + fromType + '\'' +
                ", fromId=" + fromId +
                ", wechatUserId=" + wechatUserId +
                ", createTime=" + createTime +
                ", createDay=" + createDay +
                ", createMonth='" + createMonth + '\'' +
                ", bookGroupId=" + bookGroupId +
                "} " + super.toString();
    }
}